Public Attributes | List of all members
ble_gap_ext_conn_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Connection parameters. More...

`#include <ble_gapm.h>`

## Public Attributes
uint16_t | conn_intv_min
uint16_t | conn_intv_max
uint16_t | conn_latency
uint16_t | supervision_to
uint16_t | ce_len_min
uint16_t | ce_len_max

## Detailed Description

Connection parameters.

Definition at line 770 of file ble_gapm.h.

## Member Data Documentation

## ◆ ce_len_max

uint16_t ble_gap_ext_conn_param_t::ce_len_max

The max length of connection event needed for this LE connection. Range: 0x0002 to 0xFFFF, Unit:0.625 ms, Time Range: 1.25 ms to 40.9 s.

Definition at line 779 of file ble_gapm.h.

## ◆ ce_len_min

uint16_t ble_gap_ext_conn_param_t::ce_len_min

The min length of connection event needed for this LE connection. Range: 0x0002 to 0xFFFF, Unit:0.625 ms, Time Range: 1.25 ms to 40.9 s.

Definition at line 778 of file ble_gapm.h.

## ◆ conn_intv_max

uint16_t ble_gap_ext_conn_param_t::conn_intv_max

Maximum value for the connection interval (in unit of 1.25ms). Shall be greater than or equal to conn_intv_min value. Allowed range is 7.5 ms to 4s.

Definition at line 774 of file ble_gapm.h.

## ◆ conn_intv_min

uint16_t ble_gap_ext_conn_param_t::conn_intv_min

Minimum value for the connection interval (in unit of 1.25ms). Shall be less than or equal to conn_intv_max value. Allowed range is 7.5 ms to 4s.

Definition at line 772 of file ble_gapm.h.

## ◆ conn_latency

uint16_t ble_gap_ext_conn_param_t::conn_latency

Slave latency. Number of events that can be missed by a connected slave device.

Definition at line 776 of file ble_gapm.h.

## ◆ supervision_to

uint16_t ble_gap_ext_conn_param_t::supervision_to

Link supervision timeout (in unit of 10ms). Allowed range is 100 ms to 32s.

Definition at line 777 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h